{ "basePath" : "/api", "produces" : [ "application/json", "text/plain", "text/html" ], "schemes" : [ "http", "https" ], "definitions" : { "Errors" : { "items" : { "$ref" : "#/definitions/Error" }, "type" : "array" }, "DefaultResponse" : { "properties" : { "errors:" : { "$ref" : "#/definitions/Errors" }, "valid" : { "type" : "boolean" } }, "type" : "object" }, "ErrorResponse" : { "properties" : { "errors:" : { "$ref" : "#/definitions/Errors" }, "valid" : { "type" : "boolean" } }, "type" : "object" }, "Error" : { "required" : [ "message" ], "properties" : { "path" : { "type" : "string" }, "message" : { "type" : "string" } } }, "StraniciItem" : { "properties" : { "page_type" : { "maxLength" : 32, "type" : "string" }, "pid" : { "type" : "integer" }, "alias" : { "type" : "string", "maxLength" : 32 }, "sorting" : { "type" : "integer" }, "id" : { "type" : "integer" }, "title" : { "type" : "string" }, "is_dir" : { "type" : "boolean" } }, "required" : [ "id", "alias", "title" ], "description" : "An object, representing one item of Stranici." }, "Stranici" : { "items" : { "$ref" : "#/definitions/StraniciItem" }, "type" : "array" } }, "swagger" : "2.0", "parameters" : { "offset" : { "minimum" : 0, "name" : "offset", "in" : "query", "description" : "At what offset (min: 0)?", "type" : "integer", "default" : 0 }, "limit" : { "description" : "How many, items to return at once (max: 100; min: 1)", "type" : "integer", "maximum" : 100, "name" : "limit", "in" : "query", "default" : 100, "minimum" : 1 }, "lang": { "name": "lang", "description": "In what language the title will be shown or content will be?", "type": "string", "in": "query", "default": "bg-bg", "pattern": "^[A-z]{2}(?:-[A-z]{2})?$" }, "language": { "name": "language", "description": "Range of possible values for celini and page forms?", "type": "string", "in": "formData", "required": true, "default": "bg-bg", "enum":[ "bg", "bg-bg", "bg-mk", "en", "en-us", "cu-ru", "cu-bg", "cz", "sk", "ru", "pl", "sr", "sr-Cyrl","sr-Latn","fr", "de"] }, "data_format": { "name": "data_format", "description": "Range of possible values for celini data formats?", "type": "string", "in": "formData", "required": true, "default": "html", "enum":["html", "text", "markdown", "asc"] }, "data_type": { "name": "data_type", "description": "Range of possible values for celini data types?", "type": "string", "in": "formData", "required": false, "default": "note", "enum":["title", "note", "writing", "book", "chapter", "question", "answer", "paragraph"] }, "permissions":{ "name":"permissions", "description": "Range of possible values for celini data formats?", "type": "string", "in": "formData", "required": false, "default": "-rwxr-xr-x", "enum":["drwxr-xr-x", "drwxrwxr-x", "-rwxr-xr-x", "-rwxrwxr-x", "lrwxr-xr-x", "-rwxr--r-x", "-rwx------", "drwx------","-r-x------", "dr-x------"] }, "box":{ "name":"box", "description": "Range of possible values for boxes in celini?", "type": "string", "in": "formData", "required": false, "default": "main", "enum":["main", "left", "right", "header", "footer"] }, "page_type":{ "name":"page_type", "description": "Range of possible values for page_type in stranici?", "type": "string", "in": "formData", "required": false, "default": "regular", "enum":["root", "regular"] } }, "consumes" : [ "application/json", "multipart/form-data", "application/x-www-form-urlencoded" ], "paths" : { "/stranici" : { "get" : { "parameters" : [ { "$ref" : "#/parameters/limit" }, { "$ref" : "#/parameters/offset" }, { "$ref" : "#/parameters/lang" }, { "name": "pid", "type": "integer", "in": "query", "description": "Filter by this value of column 'pid'(parent id)" }, { "name": "columns", "type":"array", "in":"query", "collectionFormat": "csv", "items": {"type":"string", "enum":["id", "pid", "alias", "page_type", "sorting", "title", "is_dir", "language", "user_id", "group_id", "permissions"]}, "description": "Which properties of the stranica object to be returned only? See StraniciItem for required properties.", "required" : false } ], "x-mojo-to" : "stranici#list", "operationId" : "api_list_stranici", "summary" : "List all records of type Stranici.", "description" : "List all records of type Stranici with pid=$params->{id} according to the client's priviledges.", "responses" : { "200" : { "schema" : { "$ref" : "#/definitions/Stranici" }, "description" : "An array of Stranici." }, "default" : { "$ref" : "#/definitions/ErrorResponse" } } } } }, "info" : { "title" : "Slovo OpenAPI", "license" : { "name" : "Artistic License 2.0" }, "version" : "1.0", "contact" : { "name" : "Studio Berov LLC", "email" : "otzivi@studio-berov.eu" }, "description" : "This is the OpenAPI specification for Slovo OpenAPI." } }